<?php
/** @noinspection PhpIncludeInspection */
require_once "secrets/config.php";
require_once "lib/config.php";
require_once "lib/navigation.php";
require_once "lib/router.php";
require_once "lib/page.php";
require_once "lib/endpoint.php";

$routerConfig = array();
$routerRequest = array();

loadRouterConfig();
if(initRouter()) {
    /** @noinspection PhpArrayIsAlwaysEmptyInspection */
    session_set_cookie_params(0, '/', "." . $routerRequest["domain"] . "." . $routerRequest["tld"], true, true);
    session_start();
    if($routerRequest["type"] == "api") {
        echo getEndpoint($routerRequest["page_name"]);

    }elseif ($routerRequest["type"] == "page") {
        /** @noinspection PhpArrayIsAlwaysEmptyInspection */
        echo getPage($routerRequest["page_name"]);
    }
    else{
        echo "Unknown request";
    }
}
else{
    exit();
}

